/**
  * File: DynamicSubgroupInfoAsStringImpl.java
  * Content: Convenient implementation of the DynamicSubgroupInfoAsString, containing a string as valid information
  * Author: LuisM Pena
  * Date: 26th October 2001
  * Version: 0.51.00
  * Last change:
  *
  **/

package sensei.domains;

import sensei.middleware.domains.DynamicSubgroupInfoAsString;

/**
  * Convenient implementation of the DynamicSubgroupInfoAsString, containing a string as valid information
  **/
public class DynamicSubgroupInfoAsStringImpl extends DynamicSubgroupInfoAsString {
	public DynamicSubgroupInfoAsStringImpl(String info) {
		Trace.code("DynamicSubgroupInfoAsStringImpl.java -> DynamicSubgroupInfoAsStringImpl ( String info )");
		this.info = info;
	}
}
