/**
  * File: 		CoordinatorElector.java
  * Content: 	part of the RMI specification of sensei domains
  *           Defines the interface to be implemented by applications electing the coordinator
  * Author: 	LuisM Pena
  * Date: 		27th October 2001
  * Version:  0.51.00
  * Last change:
  *
  **/


package sensei.middleware.domains;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
  * Defines the interface to be implemented by applications electing the coordinator
  */
public interface CoordinatorElector extends Remote
{
  public int getCoordinator (int loc, CoordinatorInformation[] info) throws RemoteException;
}
