/**
  * File: 		ExtendedCheckpointable.java
  * Content: 	part of the RMI specification of sensei domains
  *           Defines the extended interface on Checkpointable
  * Author: 	LuisM Pena
  * Date: 		27th October 2001
  * Version:  0.51.00
  * Last change:
  *
  **/


package sensei.middleware.domains;

import java.rmi.RemoteException;

/**
  * Defines the most extended interface for state transfer
  */
public interface ExtendedCheckpointable extends Checkpointable
{
  public void assumeState() throws RemoteException;
}
