/**
  * File: 		MessageRemoveSubgroup.java
  * Content: 	part of the RMI specification of sensei domains
  *           Message sent to remove a dynamic group
  * Author: 	LuisM Pena
  * Date: 		27th October 2001
  * Version:  0.51.00
  * Last change:
  *
  **/


package sensei.middleware.domains;
/**
 *  Message sent to remove a dynamic group
 */
public class MessageRemoveSubgroup extends DomainMessage
{
  public int subgroupToRemove;
  public DynamicSubgroupInfo info;
};
