/**
  * File: 		PhaseCoordinationHolder.java
  * Content: 	part of the RMI specification of sensei domains
  *           Defines a convenient class to hold PhaseCoordinations to be able to use them as out parameters
  * Author: 	LuisM Pena
  * Date: 		27th October 2001
  * Version:  0.51.00
  * Last change:
  *
  **/


package sensei.middleware.domains;

final public class PhaseCoordinationHolder implements java.io.Serializable
{
    public PhaseCoordination value;

    public
    PhaseCoordinationHolder()
    {
    }

    public
    PhaseCoordinationHolder(PhaseCoordination initial)
    {
        value = initial;
    }
}
