/**
  * File: 		ReplicaInformation.java
  * Content: 	part of the RMI specification of sensei domains
  *           Defines the structure associated to the information for each replica on a message P
  * Author: 	LuisM Pena
  * Date: 		27th October 2001
  * Version:  0.51.00
  * Last change:
  *
  **/


package sensei.middleware.domains;

final public class ReplicaInformation implements java.io.Serializable
{
    public
    ReplicaInformation()
    {
    }

    public
    ReplicaInformation(int replicaId,
                       int[] replicasToCoordinate)
    {
        this.replicaId = replicaId;
        this.replicasToCoordinate = replicasToCoordinate;
    }

    public int replicaId;
    public int[] replicasToCoordinate;
}
