/**
  * File: 		SubgroupCoordination.java
  * Content: 	part of the RMI specification of sensei domains
  *           Defines a structure associating for a subgroup id its phase coordination
  * Author: 	LuisM Pena
  * Date: 		27th October 2001
  * Version:  0.51.00
  * Last change:
  *
  **/


package sensei.middleware.domains;

final public class SubgroupCoordination implements java.io.Serializable
{
    public
    SubgroupCoordination()
    {
    }

    public
    SubgroupCoordination(int id,
                         PhaseCoordination phase)
    {
        this.id = id;
        this.phase = phase;
    }

    public int id;
    public PhaseCoordination phase;
}
