/**
  * File: 		MapStringSetObservable.java
  * Content: 	part of the RMI specification of sensei gmns
  * Author: 	LuisM Pena
  * Date: 		1st December 2001
  * Version:  0.29.00
  * Last change:
  *
  **/


package sensei.middleware.gmns;

import java.rmi.Remote;
import java.rmi.RemoteException;

public interface MapStringSetObservable extends Remote
{
  public void addObserver(MapStringSetObserver observer) throws RemoteException;
  public boolean removeObserver(MapStringSetObserver observer) throws RemoteException;

}
