/**
  * File: 		SetMemberInfoObserver.java
  * Content: 	part of the RMI specification of sensei gmns
  * Author: 	LuisM Pena
  * Date: 		1st December 2001
  * Version:  0.29.00
  * Last change:
  *
  **/


package sensei.middleware.gmns;

import java.rmi.Remote;
import java.rmi.RemoteException;

public interface SetMemberInfoObserver extends Remote
{
  public void addDone(SetMemberInfoObservable observable, MemberInfo member) throws RemoteException;
  public void removeDone(SetMemberInfoObservable observable, MemberInfo member) throws RemoteException;
}
