/**
  * File: InternalView.java
  * Content: part of the RMI specification of members with reliable multicast
  *          communications, based on the virtual synchronous model. This is the
  *						view used internally by the SenseiGMSMembers
  * Author: LuisM Pena
  * Date: 31th July 2000
  * Version: 0.80.00
  * Last change:
  *
  **/

package sensei.middleware.gms;

final public class InternalView implements java.io.Serializable {
	public InternalView() {
	}

	public InternalView(InternalViewId viewId, SenseiGMSMember[] members, int[] memberIds, int[] newMembers) {
		this.viewId = viewId;
		this.members = members;
		this.memberIds = memberIds;
		this.newMembers = newMembers;
	}

	public InternalViewId viewId;
	public SenseiGMSMember[] members;
	public int[] memberIds;
	public int[] newMembers;
}
