package senseiTests.concurrency;

import sensei.util.ParameterException;
import sensei.util.Parameters;
import senseiTests.concurrency.middleware.Factory;
import senseiTests.concurrency.middleware.MainBase;

public class Main extends MainBase{
	public Main(String args[]) throws Exception{
		super(args);
	}

	protected boolean createMainInstance(Factory factory, String args[]) throws Exception{
		Parameters parameters = TestMonitor.readArgs(args);
		if (parameters != null) {
			new TestMonitor(factory, parameters);
			return true;
		}
		return false;
	}

	public static void main(String args[]) {
		try{
			new Main(args);
		}
		catch (ParameterException ex) {
			System.out.println(ex);
		}
		catch (Exception ex) {
			ex.printStackTrace();
		}
	}
}
