package senseiTests.randomCounter.middleware;

import org.omg.CORBA.ORB;

import sensei.middleware.gms.ORBcentral;

public abstract class MainBase {
	public MainBase(String args[]) {
		ORB orb = null;
		try {
			orb = ORB.init(args, System.getProperties());

			ORBcentral.setORB(orb);
			
			if (go(args)){
				orb.run();
			}
		}
		finally{
			if (orb != null)
				try {
					orb.destroy();
				}
				catch (Exception ex) {
				}
		}
	}
	
	protected abstract boolean go(String args[]);
}
