package senseiTests.testerGMNS.middleware;

import org.omg.CORBA.ORB;

import sensei.middleware.gms.ORBcentral;

public abstract class MainBase {
	public MainBase(String args[]) throws Exception {
		ORB orb = null;
		try {
			orb = ORB.init(args, System.getProperties());

			ORBcentral.setORB(orb);

			createMainInstance(args);
			orb.run();
		}
		finally{
			if (orb != null)
				try {
					orb.destroy();
				}
				catch (Exception ex) {
				}
		}
	}

	protected abstract void createMainInstance(String args[]) throws Exception;
}
