/**
  * File: PhaseCoordinationImpl.java
  * Content: Convenient implementation of a PhaseCoordination returning as finished the value given at
  *          construction time
  * Author: LuisM Pena
  * Date: 26th October 2001
  * Version: 0.51.00
  * Last change:
  *
  **/

package sensei.domains;

import sensei.middleware.domains.PhaseCoordination;

/**
  * Convenient implementation of a PhaseCoordination returning as finished the value given at
  * construction time
  **/
public class PhaseCoordinationImpl extends PhaseCoordination {
	public PhaseCoordinationImpl(boolean ended) {
		transferFinished = ended;
	}
}
