/**
  * File: GMNSObserver.java
  * Content: Interface to receive events about the GMNS data
  * Author: LuisM Pena
  * Date: 5th December 2000
  * Version: 0.29.00
  * Last change:
  *
  **/

package sensei.gmns;

public interface GMNSObserver extends GMNSAutoObserver {
	public void addGroup(String group);
	public void removeGroup(String group);
	public void addGroupMember(String group, String member, boolean withReference);
	public void removedGroupMember(String group, String member);
}
