/**
  * File: GMNSRegister.java
  * Content: Class to register the valuetypes on the ORB
  * Author: LuisM Pena
  * Date: 14th December 2000
  * Version: 0.29.00
  * Last change:
  *
  **/

package sensei.gmns;

import sensei.middleware.gmns.GMNSMain;
import sensei.middleware.gmns.GMNSRegisterBase;
import sensei.middleware.gmns.GroupHandlerFactoryCreator;

/**
  * Class to register the valuetypes on the ORB
  **/
public class GMNSRegister extends GMNSRegisterBase {
	//*************************************************************************************
	//**************************** ORB REGISTERING ****************************************
	//*************************************************************************************

	public GMNSRegister(GMNSMain mainClass, String args[], boolean graphicalMode) {
		super(mainClass, args, graphicalMode);
	}

	protected GroupHandlerFactoryCreator createGroupHandlerFactoryCreator() {
		return new GroupHandlerFactoryCreatorImpl();
	}
}
