/**
  * File: 		CoordinatorInformation.java
  * Content: 	part of the RMI specification of sensei domains
  *           Defines the CoordinatorInformation structure, used on the CoordinatorElector interface
  * Author: 	LuisM Pena
  * Date: 		27th October 2001
  * Version:  0.51.00
  * Last change:
  *
  **/


package sensei.middleware.domains;

final public class CoordinatorInformation implements java.io.Serializable
{
    public
    CoordinatorInformation()
    {
    }

    public
    CoordinatorInformation(int statusMember,
                           int[] currentCoordinations)
    {
        this.statusMember = statusMember;
        this.currentCoordinations = currentCoordinations;
    }

    public int statusMember;
    public int[] currentCoordinations;
}
