/**
  * File: 		DynamicSubgroupInfoAsString.java
  * Content: 	part of the RMI specification of sensei domains
  *           Defines a convenient DynamicSubgroupInfo where the information is specified as a String
  * Author: 	LuisM Pena
  * Date: 		27th October 2001
  * Version:  0.51.00
  * Last change:
  *
  **/


package sensei.middleware.domains;

/**
 * Defines a convenient DynamicSubgroupInfo where the information is specified as a String
 */
public class DynamicSubgroupInfoAsString extends DynamicSubgroupInfo
{
  public String info;
}
