/**
  * File: 		EndOfTransactionMessage.java
  * Content: 	part of the RMI specification of sensei domains
  *           Message sent when a transfer ends completely, with all the actions included
  * Author: 	LuisM Pena
  * Date: 		27th October 2001
  * Version:  0.51.00
  * Last change:
  *
  **/


package sensei.middleware.domains;

import sensei.middleware.gms.Message;

/**
 *  Message sent when a transfer ends completely, with all the actions included
 */
public class EndOfTransactionMessage extends DomainMessage
{
  public Message[] actions;
};
