/**
  * File: 		MessageS.java
  * Content: 	part of the RMI specification of sensei domains
  *           Message S contains the states being sent, together with the coordinations
  * Author: 	LuisM Pena
  * Date: 		27th October 2001
  * Version:  0.51.00
  * Last change:
  *
  **/


package sensei.middleware.domains;
/**
 *  Message S contains the states being sent, together with the coordinations
 */
public class MessageS extends DomainMessage
{
  public int viewId; //message can only be processed on the right view, depending on the model
  public SubgroupState[] states;
};
